Skip to main content
PUT
/
v1
/
webauthn
/
{webauthn_registration_id}
C#
// PUT /v1/webauthn/{webauthn_registration_id}
const stytch = require('stytch');

const client = new stytch.Client({
  project_id: '${projectId}',
  secret: '${secret}',
});

const params = {
  webauthn_registration_id: "${webauthnRegistrationId}",
  name: "Google Passkey",
};

client.WebAuthn.Update(params)
  .then(resp => { console.log(resp) })
  .catch(err => { console.log(err) });
{
  "request_id": "<string>",
  "status_code": 123,
  "webauthn_registration": {
    "webauthn_registration_id": "<string>",
    "domain": "<string>",
    "user_agent": "<string>",
    "verified": true,
    "authenticator_type": "<string>",
    "name": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

webauthn_registration_id
string
required

Globally unique UUID that identifies a Passkey or WebAuthn registration in the Stytch API. The webauthn_registration_id is used when you need to operate on a specific User's WebAuthn registration.

Body

application/json

Request type

name
string
required

The name of the WebAuthn registration or Passkey.

Response

Successful response

request_id
string
required

Globally unique UUID that is returned with every API call. This value is important to log for debugging purposes; we may ask for this value to help identify a specific API call when helping you debug an issue.

status_code
integer<int32>
required

The HTTP status code of the response. Stytch follows standard HTTP response status code patterns, e.g. 2XX values equate to success, 3XX values are redirects, 4XX are client errors, and 5XX are server errors.

webauthn_registration
object

A Passkey or WebAuthn registration.